--
-- AloeConsole
-- Specialization for the aloe console
--
-- @author  MAurUS	
-- @date  07/06/13

-- Copyright © MAurUS, www.stefanmaurus.de

Vehicle.registerJointType("aloeFrontloader");

AloeConsole = {};

function AloeConsole.prerequisitesPresent(specializations)
    return true;
end;

function AloeConsole:load(xmlFile)	
	self.LCSNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.loaderControlSystem#node"));	
end;

function AloeConsole:delete()
end;

function AloeConsole:mouseEvent(posX, posY, isDown, isUp, button)
end;

function AloeConsole:keyEvent(unicode, sym, modifier, isDown)
end;

function AloeConsole:update(dt)	
end;

function AloeConsole:updateTick(dt)
 end;

function AloeConsole:onAttach()	
end;

function AloeConsole:onDetach()	
end;

function AloeConsole:draw()
end;
